package gov.va.med.pharmacy.persistence.managepharmacy;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@Component
@Scope("session")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ManagePharmacyFilter {

	// names should be same as those in the javascript.

    private Long pharmacyId;
	
	private Long visn;
	
	private String stationId;
	

	public Long getPharmacyId() {
		return pharmacyId;
	}

	public void setPharmacyId(Long pharmacyId) {
		this.pharmacyId = pharmacyId;
	}

	public Long getVisn() {
		return visn;
	}

	public void setVisn(Long visn) {
		this.visn = visn;
	}

	public String getStationId() {
		return stationId;
	}

	public void setStationId(String stationId) {
		this.stationId = stationId;
	}
	
}
